GET api/InternalApp?stockItemId={stockItemId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| stockItemId | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of StockItemChannelSKU| Name | Description | Type | Additional information |
|---|---|---|---|
| ChannelSKURowId | globally unique identifier |
None. |
|
| SKU | string |
None. |
|
| Source | string |
None. |
|
| SubSource | string |
None. |
|
| UpdateStatus | string |
None. |
|
| ChannelReferenceId | string |
None. |
|
| LastUpdate | date |
None. |
|
| MaxListedQuantity | integer |
None. |
|
| EndWhenStock | integer |
None. |
|
| SubmittedQuantity | integer |
None. |
|
| ListedQuantity | integer |
None. |
|
| StockPercentage | decimal number |
None. |
|
| IgnoreSync | boolean |
None. |
|
| IgnoreSyncMultiLocation | boolean |
None. |
|
| IsMultiLocation | boolean |
None. |
|
| StockItemId | globally unique identifier |
None. |
|
| StockItemIntId | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"channelSKURowId": "2f25986b-a0df-4fd2-b51a-3fb9b6d69de5",
"sku": "sample string 2",
"source": "sample string 3",
"subSource": "sample string 4",
"updateStatus": "sample string 5",
"channelReferenceId": "sample string 6",
"lastUpdate": "2026-03-11T04:40:31.5719432+00:00",
"maxListedQuantity": 8,
"endWhenStock": 9,
"submittedQuantity": 10,
"listedQuantity": 11,
"stockPercentage": 12.1,
"ignoreSync": true,
"ignoreSyncMultiLocation": true,
"isMultiLocation": true,
"stockItemId": "7086f147-998b-414c-8e43-b66999c60d77",
"stockItemIntId": 16
},
{
"$ref": "1"
}
]